v.to.db(1)	       Grass User's Manual	       v.to.db(1)



NNAAMMEE
       _v_._t_o_._d_b - load values from vector to database

       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..ttoo..ddbb	    [[--ppss]]      mmaapp_=_n_a_m_e      ttyyppee_=_n_a_m_e_[_,_n_a_m_e_,_._._._]
       ooppttiioonn_=_n_a_m_e_[_,_n_a_m_e_,_._._._] [uunniittss_=_n_a_m_e] ttaabbllee_=_n_a_m_e  [kkeeyy_=_n_a_m_e]
       [ccooll11_=_n_a_m_e] [ccooll22_=_n_a_m_e]

   FFllaaggss::
       --pp     Print only

       --ss     Print only sql statements


   PPaarraammeetteerrss::
       mmaapp    Vector map

       ttyyppee   Type of elements Options: area, line, site

       ooppttiioonn What load Options: cat, label, area, length, count,
	      coor

       uunniittss  Units  data  are	in.   Either:  mi(les),   f(eet),
	      me(ters),    k(ilometers),   a(cres),   h(ectacres)
	      Options: mi  (miles),  f	(feet),  me  (meters),	k
	      (kilometers), a (acres), h (hectacres)

       ttaabbllee  DB table

       kkeeyy    Key column

       ccooll11   Column 1

       ccooll22   Column 2


EEXXAAMMPPLLEE
       Uploading  of  the  attributes of a vector map to the DBMS
       has to be done column-wise:


       v.to.db map=soils type=area option=cat table=soils key=cat


       v.to.db	 map=soils   type=area	option=label  table=soils
       key=cat col1=soiltype

AAUUTTHHOORR
       Radim Blazek

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0					       v.to.db(1)
